Subject: bug#78693: 14.0.9; Folding of math macros with a function spec is broken

From: Rahguzar <[email-masked]>
Date: Mon, 23 Jun 2025 12:15:45 +0500

Hi Paul,

"Paul D. Nelson" <[email-masked]> writes:

> Hi Rahguzar
>
>> Thanks, this works for my needs. I was worried about optional arguments
>> before the mandatory ones messing up the folding but those arguments
>> actually get swallowed by the folding. With your suggestion of using
>> TeX-fold-macro-nth-arg it is possible to handle optional args that come
>> before mandatory ones which passing a 1 or (0 . 1) as spec. A bit
>> confusing but it improves on the current situation and I don't think it
>> is possible handle folding perfectly given how "flexible" syntax in
>> (La)TeX is.
>
> I'm glad it seems to be working for your needs, although I'm a bit
> confused about what else you might be asking for here, i.e., what would
> "perfect" folding like?

Something that is able to distinguish between

\begin{theorem}[My favorite theorem]

and 

\begin{equation}
[X,P]

but I really don't think that is possible except by re-implementing a
LaTeX compiler. The current situation is lot better (at least for me)
due to your effort.

Thanks!
Rahguzar

> Paul